View Issue Details

IDProjectCategoryView StatusLast Update
0000457WackoWikicachepublic2016-09-21 09:18
ReporterAnrDaemonAssigned Toadministrator 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version5.5.xFixed in Version5.5.rc2 
Summary0000457: Random headers in wiki's HTTP responses
DescriptionEvery now and then the headers returned are showing wrong charset.

Is this something with SF or with wiki itself?
Steps To ReproduceGood headers:

curl -siI "http://wackowiki.sourceforge.net/doc/Doc/Russian/WackoSintaksis"
HTTP/1.1 200 OK
Server: Apache/2.2.15 (CentOS)
Vary: Host, Accept-Encoding, User-Agent
Set-Cookie: wackowiki_sid=ivhcdjb7dfom3vo3a4gs6mssg7; path=/doc/; HttpOnly
Expires: Mon, 26 Jul 1997 05:00:00 GMT
Cache-Control: public
Pragma: cache
Set-Cookie: bb2_screener_=1453722748+127.0.0.1; path=/doc/
Last-Modified: Mon, 25 Jan 2016 11:52:28 GMT
Content-Security-Policy: default-src 'self' wackowiki.org *.wackowiki.org http://wackowiki.sourceforge.net;script-src 'self' 'unsafe-inline' http://wackowiki.sourceforge.net;style-src 'self' 'unsafe-inline' wackowiki.org *.wackowiki.org http://wackowiki.sourceforge.net;img-src *;media-src 'self' *.youtube.com *.youtube-nocookie.com;object-src 'self' *.youtube.com *.youtube-nocookie.com;frame-src 'self' *.youtube.com *.youtube-nocookie.com;
Content-Type: text/html; charset=windows-1251
Content-Length: 47504
Date: Mon, 25 Jan 2016 11:52:28 GMT
X-Varnish: 1520799043
Age: 0
Via: 1.1 varnish
Connection: keep-alive
Additional InformationBad headers

curl -siI "http://wackowiki.sourceforge.net/doc/Doc/Russian/WackoSintaksis"
HTTP/1.1 200 OK
Server: Apache/2.2.15 (CentOS)
Vary: Host, Accept-Encoding, User-Agent
Set-Cookie: wackowiki_sid=pla2ueboaiuu52bdipavjtbd94; path=/doc/; HttpOnly
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Last-Modified: Mon, 25 Jan 2016 11:24:48 GMT
ETag: "Mon, 25 Jan 2016 11:24:48 GMT"
Content-Type: text/html; charset=windows-1252
Content-Length: 47634
Date: Mon, 25 Jan 2016 11:25:08 GMT
X-Varnish: 1520684239
Age: 0
Via: 1.1 varnish
Connection: keep-alive
TagsNo tags attached.

Relationships

related to 0000221 assignedadministrator cache issue & browser default language settings from guest 

Activities

administrator

2016-01-30 16:51

administrator   ~0000954

Last edited: 2016-01-30 17:25

View 2 revisions

<Elar9000>
I confirm the bug with broken encoding when Russian user (like me) enters the page:
http://wackowiki.sourceforge.net/doc/Doc/Russian/WackoSintaksis
it comes with the wrong header:
Content-Type: text/html; charset=windows-1252
yet it has the proper charset in it's source code:
<meta charset="windows-1251" />

But for the page:
http://wackowiki.sourceforge.net/doc/
the header:
Content-Type: text/html; charset=windows-1252
matches the charset in it's source code:
<meta charset="windows-1252" />

Guess you should check if WackoWiki sends any content-type headers.
If it does not send content-type header with charset then it's all on SF.net side
with it's forced default encoding header and you should disable in config
default encoding setting.
</Elar9000>

administrator

2016-01-30 17:11

administrator   ~0000955

OT: Mantis new version became almost unusable on sf.net - sorry.

"NetworkError: 503 Service Unavailable - http://wackowiki.sourceforge.net/bugs/javascript_translations.php"
"NetworkError: 503 Service Unavailable - http://wackowiki.sourceforge.net/bugs/javascript_config.php"

We can move once again to another server. First we dropped the virtual host for bugs.wackowiki.org to avoid failures regarding Vanish and now this.

The entire Project web became a liability, did I mentioned PHP 5.3.3 only support or the missing TLS support. And yet its still the only all-inklusive for FLOSS projects.

Yesterday Sourceforge got once again a new owner, hopefully something moves...

http://fossforce.com/2016/01/sourceforge-and-slashdot-have-been-sold/

AnrDaemon

2016-01-30 20:33

reporter   ~0000956

As an OT: The wiki/mantis is (was) unusable throughout last year as far as I recall it.
At one point I thought the project is long dead and gone because I were unable to access any of the relevant resources.

administrator

2016-01-31 11:58

administrator   ~0000957

Last edited: 2016-01-31 20:48

View 2 revisions

Error found, this is the commit introducing the bug:
http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/rev/2c4b6a4a50f8

Please test it again
curl -siI "http://wackowiki.sourceforge.net/doc/Doc/Russian/WackoSintaksis"

Additional the missing Security headers should be now also available if the engine delivers you a cached page.

Commit:
http://wackowiki.hg.sourceforge.net/hgweb/wackowiki/dev/rev/a42641beb1aa

administrator

2016-02-02 15:35

administrator   ~0000958

Updated wacko.r5.5.beta.zip package, updated project /doc site and moved 5.5.beta tag in repository.

Please reopen the issue if we missed something. Regarding the project hosting I will add an additional issue / discussion.

Thanks again for the report.

Issue History

Date Modified Username Field Change
2016-01-25 17:37 AnrDaemon New Issue
2016-01-25 21:53 administrator Relationship added related to 0000221
2016-01-30 16:51 administrator Note Added: 0000954
2016-01-30 17:11 administrator Assigned To => Elar9000
2016-01-30 17:11 administrator Status new => assigned
2016-01-30 17:11 administrator Note Added: 0000955
2016-01-30 17:25 administrator Note Edited: 0000954 View Revisions
2016-01-30 20:33 AnrDaemon Note Added: 0000956
2016-01-31 11:58 administrator Note Added: 0000957
2016-01-31 12:04 administrator Status assigned => feedback
2016-01-31 12:04 administrator Category project site => cache
2016-01-31 12:04 administrator Target Version => 5.5.x
2016-01-31 20:48 administrator Note Edited: 0000957 View Revisions
2016-02-02 15:35 administrator Assigned To Elar9000 => administrator
2016-02-02 15:35 administrator Status feedback => resolved
2016-02-02 15:35 administrator Resolution open => fixed
2016-02-02 15:35 administrator Fixed in Version => 5.5.x
2016-02-02 15:35 administrator Note Added: 0000958
2016-09-21 09:18 administrator Fixed in Version 5.5.x => 5.5.rc2